<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StickerValidation extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'machine_id',
        'sticker_id',
        'production_order',
        'serial_number',
        'status',
        'created_by',
        'updated_by',
        'deleted_at',
    ];

    public function plant()
    {
        return $this->belongsTo(Plant::class);
    }

    public function machine()
    {
        return $this->belongsTo(Machine::class);
    }
}
